#!/bin/sh
#**********************************************************************
# $Id: makeconf.sh,v 1.6 2002/08/11 10:39:18 bu Exp $
#
# Copyright 2001, Bulent Yilmaz
#
# Part of Microbrew MicroSieve
# USENET SPAM filter
#
# http://www.microbrew.org/products/usieve.html
#
#
# MicroSieve is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# MicroSieve is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with MicroSieve; if not, write to the Free Software Foundation, Inc.,
# 59 Temple Place, Suite 330, Boston, MA  02111-1307 USA
#
#**********************************************************************

CONFFILE=$1/etc/usieve.conf
FILEVERSION=0.7.0
LOGDIR=$1/var

echo
echo

if test -f "$CONFFILE"; then

    echo "The configuration file $CONFFILE exists."

    if /usr/bin/grep "$FILEVERSION" $CONFFILE; then

        echo "The configuration file is up to date.  Nothing to be done."

    else 

        echo "It is an old configuration file.  Moving it to $CONFFILE.old"
        mv $CONFFILE $CONFFILE.old

        echo 
        echo "Creating new configuration file..."
        echo

        echo "Creating configuration file $CONFFILE."

        echo "#@$FILEVERSION" > $CONFFILE
        echo "# MicroSieve Configuration File" >> $CONFFILE
        echo "MaxArticleSize 1048576" >> $CONFFILE
	echo "ArticleHistorySize 1048575" >> $CONFFILE
	echo "StatsInterval 300" >> $CONFFILE
	echo "MaxCrossPosts 5" >> $CONFFILE
        echo "AutoAcceptRegex !!" >> $CONFFILE
        echo "BlackholeRegex !FFFFFFFF!" >> $CONFFILE
	echo "UserRegexFile $1/etc/regex.conf" >> $CONFFILE
        echo "LogFile $LOGDIR/usieve.log" >> $CONFFILE
        echo "PIDFile $LOGDIR/usieve.pid" >> $CONFFILE
	echo "StatsFile $LOGDIR/usieve.stats" >> $CONFFILE
        echo "ArticleLog $LOGDIR/usieve.art" >> $CONFFILE
	echo "HistoryLog $LOGDIR/history.dump" >> $CONFFILE

        echo "Please check and modify $CONFFILE to meet your needs."

    fi

else

    echo "Creating configuration file $CONFFILE."

    echo "#@$FILEVERSION" > $CONFFILE
    echo "# MicroSieve Configuration File" >> $CONFFILE
    echo "MaxArticleSize 1048576" >> $CONFFILE
    echo "ArticleHistorySize 1048575" >> $CONFFILE
    echo "StatsInterval 300" >> $CONFFILE
    echo "MaxCrossPosts 5" >> $CONFFILE
    echo "AutoAcceptRegex !!" >> $CONFFILE
    echo "BlackholeRegex !FFFFFFFF!" >> $CONFFILE
    echo "UserRegexFile $1/etc/regex.conf" >> $CONFFILE
    echo "LogFile $LOGDIR/usieve.log" >> $CONFFILE
    echo "PIDFile $LOGDIR/usieve.pid" >> $CONFFILE
    echo "StatsFile $LOGDIR/usieve.stats" >> $CONFFILE
    echo "ArticleLog $LOGDIR/usieve.art" >> $CONFFILE
    echo "HistoryLog $LOGDIR/history.dump" >> $CONFFILE

    echo "Please check and modify $CONFFILE to meet your needs."

fi

echo

## Now install regex.conf

REGEXCONF=$1/etc/regex.conf

if test -f "$REGEXCONF"; then
    echo "$REGEXCONF exists, not overwriting."
else
    echo "Copying regular expressions config file to $REGEXCONF"
    /bin/cp regex.conf $REGEXCONF
fi